gnutls_certificate_set_openpgp_keyring_mem(3)

NAME
gnutls_certificate_set_openpgp_keyring_mem - Add keyring data for OpenPGP

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_certificate_set_openpgp_keyring_mem(gnutls_certificate_credentials_t c, const opaque * data, size_t dlen);

ARGUMENTS

gnutls_certificate_credentials_t          c
    A certificate credentials structure

const opaque * data
    buffer with keyring data.

size_t dlen
    length of data buffer.

DESCRIPTION
The function is used to set keyrings that will be used internally by various OpenPGP functions. For example to find a key when it is needed for an operations. The keyring will also be used at the verification functions.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.